MediaInfoLib Namespace Reference

defined(_WIN32) More...

## Classes

class | MediaInfoList
| MediaInfoList. More...
class | MediaInfo
| MediaInfo. More...

## Typedefs

typedef char | Char
typedef std::basic_string < MediaInfoLib::Char > | String
typedef std::basic_stringstream < MediaInfoLib::Char > | StringStream
typedef std::basic_istringstream < MediaInfoLib::Char > | tiStringStream
typedef std::basic_ostringstream < MediaInfoLib::Char > | toStringStream

## Enumerations

enum | stream_t { Stream_General, Stream_Video, Stream_Audio, Stream_Text, Stream_Chapters, Stream_Image, Stream_Menu, Stream_Max }
| Kinds of Stream. More...
enum | info_t { Info_Name, Info_Text, Info_Measure, Info_Options, Info_Name_Text, Info_Measure_Text, Info_Info, Info_HowTo, Info_Domain, Info_Max }
| Kind of information. More...
enum | infooptions_t { InfoOption_ShowInInform, InfoOption_Reserved, InfoOption_ShowInSupported, InfoOption_TypeOfValue, InfoOption_Max }
| Option if InfoKind = Info_Options. More...
enum | fileoptions_t { FileOption_Nothing = 0x00, FileOption_NoRecursive = 0x01, FileOption_CloseAll = 0x02, FileOption_Max = 0x04 }
| File opening options. More...

## Detailed Description

defined(_WIN32)

## Enumeration Type Documentation

enum MediaInfoLib::fileoptions_t

File opening options.

Enumerator:

  FileOption_NoRecursive | Do not browse folders recursively.
  FileOption_CloseAll | Close all files before open.

Definition at line 112 of file MediaInfo_Const.h.

enum MediaInfoLib::info_t

Kind of information.

Enumerator:

  Info_Name | InfoKind = Unique name of parameter.
  Info_Text | InfoKind = Value of parameter.
  Info_Measure | InfoKind = Unique name of measure unit of parameter.
  Info_Options | InfoKind = See infooptions_t.
  Info_Name_Text | InfoKind = Translated name of parameter.
  Info_Measure_Text | InfoKind = Translated name of measure unit.
  Info_Info | InfoKind = More information about the parameter.
  Info_HowTo | InfoKind = How this parameter is supported, could be N (No), B (Beta), R (Read only), W (Read/Write)
  Info_Domain | InfoKind = Domain of this piece of information.

Definition at line 84 of file MediaInfo_Const.h.

enum MediaInfoLib::infooptions_t

Option if InfoKind = Info_Options.

Get(...)[infooptions_t] return a string like "YNYN..."
Use this enum to know at what correspond the Y (Yes) or N (No) If Get(...)[0]==Y, then :

Enumerator:

  InfoOption_ShowInInform | Show this parameter in Inform()
  InfoOption_ShowInSupported | Internal use only (info : Must be showed in Info_Capacities() )
  InfoOption_TypeOfValue | Value return by a standard Get() can be : T (Text), I (Integer, warning up to 64 bits), F (Float), D (Date), B (Binary datas coded Base64) (Numbers are in Base 10)

Definition at line 102 of file MediaInfo_Const.h.

enum MediaInfoLib::stream_t

Kinds of Stream.

Enumerator:

  Stream_General | StreamKind = General.
  Stream_Video | StreamKind = Video.
  Stream_Audio | StreamKind = Audio.
  Stream_Text | StreamKind = Text.
  Stream_Chapters | StreamKind = Chapters.
  Stream_Image | StreamKind = Image.
  Stream_Menu | StreamKind = Menu.

Definition at line 71 of file MediaInfo_Const.h.